## org.ggf.drmaa
Class HoldInconsistentStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException
                  org.ggf.drmaa.InconsistentStateException
                      org.ggf.drmaa.HoldInconsistentStateException

All Implemented Interfaces:
  java.io.Serializable

public class HoldInconsistentStateException
extends InconsistentStateException

The job is not in a state where it can be held.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`HoldInconsistentStateException()` Creates a new instance of `HoldInconsistentStateException` without detail message.
`HoldInconsistentStateException(java.lang.String msg)` Constructs an instance of `HoldInconsistentStateException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HoldInconsistentStateException

    public HoldInconsistentStateException()

  Creates a new instance of `HoldInconsistentStateException` without detail message.

### HoldInconsistentStateException

    public HoldInconsistentStateException(java.lang.String msg)

  Constructs an instance of `HoldInconsistentStateException` with the specified detail message.

Parameters:
  `msg` - the detail message.